Up

# NSBezierPath.m

### Authors

Enrico Sersale (`enrico@imago.ro`)

> The NSBezierPath class

Copyright: (C) 1999 Free Software Foundation, Inc.

# Software documentation for the NSBezierPath class

## NSBezierPath : NSObject

> Declared in:
>   AppKit/NSBezierPath.h

> Conforms to:
>   NSCopying
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +bezierPath
- +bezierPathWithOvalInRect:
- +bezierPathWithRect:
- +clipRect:
- +defaultFlatness
- +defaultLineCapStyle
- +defaultLineJoinStyle
- +defaultLineWidth
- +defaultMiterLimit
- +defaultWindingRule
- +drawPackedGlyphs:atPoint:
- +fillRect:
- +setDefaultFlatness:
- +setDefaultLineCapStyle:
- +setDefaultLineJoinStyle:
- +setDefaultLineWidth:
- +setDefaultMiterLimit:
- +setDefaultWindingRule:
- +strokeLineFromPoint:toPoint:
- +strokeRect:
- -addClip
- -appendBezierPath:
- -appendBezierPathWithArcFromPoint:toPoint:radius:
- -appendBezierPathWithArcWithCenter:radius:startAngle:endAngle:
- -appendBezierPathWithArcWithCenter:radius:startAngle:endAngle:clockwise:
- -appendBezierPathWithGlyph:inFont:
- -appendBezierPathWithGlyphs:count:inFont:
- -appendBezierPathWithOvalInRect:
- -appendBezierPathWithPackedGlyphs:
- -appendBezierPathWithPoints:count:
- -appendBezierPathWithRect:
- -bezierPathByFlatteningPath
- -bezierPathByReversingPath
- -bounds
- -cachesBezierPath
- -closePath
- -containsPoint:
- -controlPointBounds
- -currentPoint
- -curveToPoint:controlPoint1:controlPoint2:
- -elementAtIndex:
- -elementAtIndex:associatedPoints:
- -elementCount
- -fill
- -flatness
- -getLineDash:count:phase:
- -isEmpty
- -lineCapStyle
- -lineJoinStyle
- -lineToPoint:
- -lineWidth
- -miterLimit
- -moveToPoint:
- -relativeCurveToPoint:controlPoint1:controlPoint2:
- -relativeLineToPoint:
- -relativeMoveToPoint:
- -removeAllPoints
- -setAssociatedPoints:atIndex:
- -setCachesBezierPath:
- -setClip
- -setFlatness:
- -setLineCapStyle:
- -setLineDash:count:phase:
- -setLineJoinStyle:
- -setLineWidth:
- -setMiterLimit:
- -setWindingRule:
- -stroke
- -transformUsingAffineTransform:
- -windingRule

### bezierPath

+ (NSBezierPath*) bezierPath;

Description forthcoming.

### bezierPathWithOvalInRect:

+ (NSBezierPath*) bezierPathWithOvalInRect: (NSRect)aRect;

Description forthcoming.

### bezierPathWithRect:

+ (NSBezierPath*) bezierPathWithRect: (NSRect)aRect;

Description forthcoming.

### clipRect:

+ (void) clipRect: (NSRect)aRect;

Description forthcoming.

### defaultFlatness

+ (float) defaultFlatness;

Description forthcoming.

### defaultLineCapStyle

+ (NSLineCapStyle) defaultLineCapStyle;

Description forthcoming.

### defaultLineJoinStyle

+ (NSLineJoinStyle) defaultLineJoinStyle;

Description forthcoming.

### defaultLineWidth

+ (float) defaultLineWidth;

Description forthcoming.

### defaultMiterLimit

+ (float) defaultMiterLimit;

Description forthcoming.

### defaultWindingRule

+ (NSWindingRule) defaultWindingRule;

Description forthcoming.

### drawPackedGlyphs:atPoint:

+ (void) drawPackedGlyphs: (const char*)packedGlyphs atPoint: (NSPoint)aPoint;

Description forthcoming.

### fillRect:

+ (void) fillRect: (NSRect)aRect;

Description forthcoming.

### setDefaultFlatness:

+ (void) setDefaultFlatness: (float)flatness;

Description forthcoming.

### setDefaultLineCapStyle:

+ (void) setDefaultLineCapStyle: (NSLineCapStyle)lineCapStyle;

Description forthcoming.

### setDefaultLineJoinStyle:

+ (void) setDefaultLineJoinStyle: (NSLineJoinStyle)lineJoinStyle;

Description forthcoming.

### setDefaultLineWidth:

+ (void) setDefaultLineWidth: (float)lineWidth;

Description forthcoming.

### setDefaultMiterLimit:

+ (void) setDefaultMiterLimit: (float)limit;

Description forthcoming.

### setDefaultWindingRule:

+ (void) setDefaultWindingRule: (NSWindingRule)windingRule;

Description forthcoming.

### strokeLineFromPoint:toPoint:

+ (void) strokeLineFromPoint: (NSPoint)point1 toPoint: (NSPoint)point2;

Description forthcoming.

### strokeRect:

+ (void) strokeRect: (NSRect)aRect;

Description forthcoming.

### addClip

- (void) addClip;

Description forthcoming.

### appendBezierPath:

- (void) appendBezierPath: (NSBezierPath*)aPath;

Description forthcoming.

### appendBezierPathWithArcFromPoint:toPoint:radius:

- (void) appendBezierPathWithArcFromPoint: (NSPoint)point1 toPoint: (NSPoint)point2 radius: (float)radius;

Description forthcoming.

### appendBezierPathWithArcWithCenter:radius:startAngle:endAngle:

- (void) appendBezierPathWithArcWithCenter: (NSPoint)center radius: (float)radius startAngle: (float)startAngle endAngle: (float)endAngle;

Description forthcoming.

### appendBezierPathWithArcWithCenter:radius:startAngle:endAngle:clockwise:

- (void) appendBezierPathWithArcWithCenter: (NSPoint)center radius: (float)radius startAngle: (float)startAngle endAngle: (float)endAngle clockwise: (BOOL)clockwise;

Description forthcoming.

### appendBezierPathWithGlyph:inFont:

- (void) appendBezierPathWithGlyph: (NSGlyph)glyph inFont: (NSFont*)font;

Description forthcoming.

### appendBezierPathWithGlyphs:count:inFont:

- (void) appendBezierPathWithGlyphs: (NSGlyph*)glyphs count: (int)count inFont: (NSFont*)font;

Description forthcoming.

### appendBezierPathWithOvalInRect:

- (void) appendBezierPathWithOvalInRect: (NSRect)aRect;

Description forthcoming.

### appendBezierPathWithPackedGlyphs:

- (void) appendBezierPathWithPackedGlyphs: (const char*)packedGlyphs;

Description forthcoming.

### appendBezierPathWithPoints:count:

- (void) appendBezierPathWithPoints: (NSPoint*)points count: (int)count;

Description forthcoming.

### appendBezierPathWithRect:

- (void) appendBezierPathWithRect: (NSRect)aRect;

Description forthcoming.

### bezierPathByFlatteningPath

- (NSBezierPath*) bezierPathByFlatteningPath;

Description forthcoming.

### bezierPathByReversingPath

- (NSBezierPath*) bezierPathByReversingPath;

Description forthcoming.

### bounds

- (NSRect) bounds;

Description forthcoming.

### cachesBezierPath

- (BOOL) cachesBezierPath;

Description forthcoming.

### closePath

- (void) closePath;

Description forthcoming.

### containsPoint:

- (BOOL) containsPoint: (NSPoint)point;

Description forthcoming.

### controlPointBounds

- (NSRect) controlPointBounds;

Description forthcoming.

### currentPoint

- (NSPoint) currentPoint;

Description forthcoming.

### curveToPoint:controlPoint1:controlPoint2:

- (void) curveToPoint: (NSPoint)aPoint controlPoint1: (NSPoint)controlPoint1 controlPoint2: (NSPoint)controlPoint2;

Description forthcoming.

### elementAtIndex:

- (NSBezierPathElement) elementAtIndex: (int)index;

Description forthcoming.

### elementAtIndex:associatedPoints:

- (NSBezierPathElement) elementAtIndex: (int)index associatedPoints: (NSPoint*)points;

Description forthcoming.

### elementCount

- (int) elementCount;

Description forthcoming.

### fill

- (void) fill;

Description forthcoming.

### flatness

- (float) flatness;

Description forthcoming.

### getLineDash:count:phase:

- (void) getLineDash: (float*)pattern count: (int*)count phase: (float*)phase;

Description forthcoming.

### isEmpty

- (BOOL) isEmpty;

Description forthcoming.

### lineCapStyle

- (NSLineCapStyle) lineCapStyle;

Description forthcoming.

### lineJoinStyle

- (NSLineJoinStyle) lineJoinStyle;

Description forthcoming.

### lineToPoint:

- (void) lineToPoint: (NSPoint)aPoint;

Description forthcoming.

### lineWidth

- (float) lineWidth;

Description forthcoming.

### miterLimit

- (float) miterLimit;

Description forthcoming.

### moveToPoint:

- (void) moveToPoint: (NSPoint)aPoint;

Description forthcoming.

### relativeCurveToPoint:controlPoint1:controlPoint2:

- (void) relativeCurveToPoint: (NSPoint)aPoint controlPoint1: (NSPoint)controlPoint1 controlPoint2: (NSPoint)controlPoint2;

Description forthcoming.

### relativeLineToPoint:

- (void) relativeLineToPoint: (NSPoint)aPoint;

Description forthcoming.

### relativeMoveToPoint:

- (void) relativeMoveToPoint: (NSPoint)aPoint;

Description forthcoming.

### removeAllPoints

- (void) removeAllPoints;

Description forthcoming.

### setAssociatedPoints:atIndex:

- (void) setAssociatedPoints: (NSPoint*)points atIndex: (int)index;

Description forthcoming.

### setCachesBezierPath:

- (void) setCachesBezierPath: (BOOL)flag;

Description forthcoming.

### setClip

- (void) setClip;

Description forthcoming.

### setFlatness:

- (void) setFlatness: (float)flatness;

Description forthcoming.

### setLineCapStyle:

- (void) setLineCapStyle: (NSLineCapStyle)lineCapStyle;

Description forthcoming.

### setLineDash:count:phase:

- (void) setLineDash: (const float*)pattern count: (int)count phase: (float)phase;

Description forthcoming.

### setLineJoinStyle:

- (void) setLineJoinStyle: (NSLineJoinStyle)lineJoinStyle;

Description forthcoming.

### setLineWidth:

- (void) setLineWidth: (float)lineWidth;

Description forthcoming.

### setMiterLimit:

- (void) setMiterLimit: (float)limit;

Description forthcoming.

### setWindingRule:

- (void) setWindingRule: (NSWindingRule)windingRule;

Description forthcoming.

### stroke

- (void) stroke;

Description forthcoming.

### transformUsingAffineTransform:

- (void) transformUsingAffineTransform: (NSAffineTransform*)transform;

Description forthcoming.

### windingRule

- (NSWindingRule) windingRule;

Description forthcoming.

Up